Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6604 - marks two bugs as duplicate and deletes both, instead of keeping one
Summary: marks two bugs as duplicate and deletes both, instead of keeping one
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1rC
Hardware: All
OS: Linux
high
high vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-01 16:13 UTC by gsromero
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-19 06:05:15 UTC


Attachments (Terms of Use)

Description gsromero 1999-11-01 16:13:24 UTC
If by some network error the server gets two submissions
(consecutive or near consecutive numbers) instead of
marking one as duplicate and keeping the other, it marks
both as duplicate and deletes both.

What is more, it should be programmed for this kind of
errors: two identical posts from the same users in a few
minutes should be handled with care (best soultion is to
discard the older, so user can change is mind and modify,
or in case or network error there is no problem, both
are the same).

GSR


------- Additional Comments From   11/01/99 11:16 -------
Ooopps:
"the same user".
"both are the same, so just choose one and discard the other, the
first or the last".

Hehe, an example of why correction should be allowed (an so much
password questions reduced).

GSR

Comment 1 David Lawrence 1999-11-19 06:05:59 UTC
I think this may have been alleviated with the introduction of the new bugzilla
release. Please reopen this if it still occurs.


Note You need to log in before you can comment on or make changes to this bug.